import * as _angular_core from '@angular/core';
import { ElementRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';

declare class InputSearchComponent implements ControlValueAccessor {
    id: _angular_core.InputSignal<string>;
    placeholder: _angular_core.InputSignal<string>;
    clearable: _angular_core.InputSignal<boolean>;
    focus: _angular_core.OutputEmitterRef<FocusEvent>;
    blur: _angular_core.OutputEmitterRef<FocusEvent>;
    keyup: _angular_core.OutputEmitterRef<KeyboardEvent>;
    inputElement: _angular_core.Signal<ElementRef<any>>;
    value: _angular_core.WritableSignal<string | null>;
    defaultInputId: string;
    inputId: _angular_core.Signal<string>;
    disabled: _angular_core.WritableSignal<boolean>;
    onTouched: () => void;
    onChanged: (value: any) => void;
    private symbolRegistry;
    constructor();
    registerOnChange(fn: (value: string | null) => void): void;
    registerOnTouched(fn: () => void): void;
    onValueChange(value: string | null): void;
    focusInput(): void;
    writeValue(value: string | null): void;
    setDisabledState(isDisabled: boolean): void;
    onClear($event: Event): void;
    onFocusHandle($event: FocusEvent): void;
    onBlurHandle($event: FocusEvent): void;
    onKeyup($event: KeyboardEvent): void;
    static ɵfac: _angular_core.ɵɵFactoryDeclaration<InputSearchComponent, never>;
    static ɵcmp: _angular_core.ɵɵComponentDeclaration<InputSearchComponent, "ap-input-search", never, { "id": { "alias": "id"; "required": false; "isSignal": true; }; "placeholder": { "alias": "placeholder"; "required": false; "isSignal": true; }; "clearable": { "alias": "clearable"; "required": false; "isSignal": true; }; }, { "focus": "focus"; "blur": "blur"; "keyup": "keyup"; }, never, never, true, never>;
}

export { InputSearchComponent };
